Bug 371831 - gcc does not generate DW_TAG_class_type
Summary: gcc does not generate DW_TAG_class_type
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 426600
Blocks: 173278
TreeView+ depends on / blocked
 
Reported: 2007-11-08 21:14 UTC by Andrew Cagney
Modified: 2008-05-21 14:34 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0301
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:34:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0301 normal SHIPPED_LIVE gcc bug fix and enhancement update 2008-05-20 18:22:33 UTC
Sourceware 5297 None None None Never

Description Andrew Cagney 2007-11-08 21:14:38 UTC
Instead it generates DW_ATE_struct_type; and heuristics get used to identify a
class rather than a type.  In a struct, default accessability is public, while
for a class it is private.

Comment 1 Jakub Jelinek 2007-12-21 19:00:31 UTC
If RHEL5.2 gdb will handle it, Alex' patch can be backported.

Comment 2 RHEL Product and Program Management 2007-12-21 19:04:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2008-05-21 14:34:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0301.html



Note You need to log in before you can comment on or make changes to this bug.